#
# spec file for package python3-yamllint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-yamllint
Version:        1.6.1
Release:        1.6
License:        GPL-3.0
Summary:        A linter for YAML files
Url:            https://github.com/adrienverge/yamllint
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/y/yamllint/yamllint-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-PyYAML
# test requirements
BuildRequires:  python3-nose
Requires:       python3-PyYAML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
A linter for YAML files.

yamllint does not only check for syntax validity, but for
weirdnesses like key repetition and cosmetic problems such
as lines length, trailing spaces, indentation, etc.

%prep
%setup -q -n yamllint-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/yamllint %{buildroot}%{_bindir}/yamllint-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/yamllint %{buildroot}%{_bindir}/yamllint

%check
python3 setup.py test

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/yamllint yamllint %{_bindir}/yamllint-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove yamllint %{_bindir}/yamllint-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{_bindir}/yamllint
%{_bindir}/yamllint-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/yamllint
%{python3_sitelib}/*

%changelog
* Sat Feb 25 2017 arun@gmx.de
- update to version 1.6.1:
  * fix(indentation): Fix seq indent detection with consistent spaces
  * Minor cosmetic typo
  * support for pre-commit from yelp
* Mon Feb 20 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.0:
  * docs(truthy): Fix typo
  * feat(CI): Enforce strict checking of YAML files
  * fix(rules): Use `true`/`false`, not `yes`/`no`
  * style(tests): Fix new flake8 errors
  * docs(install): Update Debian version
  * docs(configuration): Fix typo
  * docs: Explain strict mode return codes
  * Add strict mode argument to CLI
  * Release as a universal wheel
* Mon Oct 17 2016 toddrme2178@gmail.com
- Initial version
